This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 829070 - ipa-server-install --uninstall does not remove /var/lib/sss/pubconf/kdcinfo.$REALM
ipa-server-install --uninstall does not remove /var/lib/sss/pubconf/kdcinfo.$...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa (Show other bugs)
6.3
Unspecified Unspecified
medium Severity unspecified
: rc
: ---
Assigned To: Rob Crittenden
Namita Soman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-05 17:40 EDT by Scott Poore
Modified: 2013-02-21 04:15 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 04:15:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Poore 2012-06-05 17:40:46 EDT
Description of problem:

ipa-server-install --uninstall does not always remove /var/lib/sss/pubconf/kdcinfo.$REALM

We expect this to be cleaned up by ipa command?

Version-Release number of selected component (if applicable):


How reproducible:
frequent


Steps to Reproduce:
1. <setup IPA master>
2. <setup IPA replica>
3. on replica:  ipa-server-install --uninstall -U
  
Actual results:

/var/lib/sss/pubconf/kdcinfo.$REALM is left behind

Expected results:

should be cleaned up?


Additional info:

From uninstall:

:: [17:14:37] ::  Executing: ipa-server-install --uninstall -U
Shutting down all IPA services
Removing IPA client configuration
Unconfiguring ntpd
Unconfiguring CA directory server
Unconfiguring CA
Unconfiguring named
Unconfiguring web server
Unconfiguring krb5kdc
Unconfiguring kadmin
Unconfiguring directory server
Unconfiguring ipa_memcached
:: [   PASS   ] :: Running 'ipa-server-install --uninstall -U'

Nothing of particular interest directing to this in the logs that I've found...


ipaclient-uninstall.log:

2012-06-05T21:23:46Z DEBUG /usr/sbin/ipa-client-install was invoked with options: {'domain': None, 'force': False, 'krb5_offline_passwords': True, 'mkhomedir': False, 'create_sshfp': True, 'conf_sshd': False, 'on_master': False, 'conf_ntp': True, 'ntp_server': None, 'principal': None, 'hostname': None, 'no_ac': False, 'unattended': True, 'sssd': True, 'trust_sshfp': False, 'dns_updates': False, 'realm_name': None, 'conf_ssh': False, 'server': None, 'prompt_password': False, 'permit': False, 'debug': False, 'preserve_sssd': False, 'uninstall': True}
2012-06-05T21:23:46Z DEBUG missing options might be asked for interactively later

2012-06-05T21:23:46Z DEBUG Loading Index file from '/var/lib/ipa-client/sysrestore/sysrestore.index'
2012-06-05T21:23:46Z DEBUG Loading StateFile from '/var/lib/ipa-client/sysrestore/sysrestore.state'
Comment 2 Stephen Gallagher 2012-06-06 07:07:08 EDT
Shutting down SSSD should remove this file. If that's not happening, it's probably an SSSD bug.
Comment 4 Dmitri Pal 2012-06-08 13:17:02 EDT
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/2824
Comment 5 Rob Crittenden 2012-06-12 12:24:07 EDT
Can you provide more reproduction details? I've never seen this.
Comment 6 Scott Poore 2012-06-12 15:25:04 EDT
May be related to bug 830598 where sssd is not stopping from an ipa uninstall.  

Steps from that bug are all I've got.  I haven't been able to reproduce this consistently.  It's been hit or miss but, I've seen it enough that it didn't seem like a strange fluke.

Steps to Reproduce:
1. <Install IPA on RHEL 6.3 Master>
2. <Create Replica package file>
3. <Install IPA on RHEL 6.3 Replica>
4. ipa-replica-manage del $REPLICA # on master
5. ipa-server-install --uninstall -U # on replica
6. ipa-replica-install -U --setup-dns --no-forwarders -w $ADMINPW -p $ADMINPW /path/to/replica-info-$REPLICA.gpg
Comment 7 RHEL Product and Program Management 2012-07-10 02:21:34 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 8 RHEL Product and Program Management 2012-07-10 19:28:31 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 9 Tomas Babej 2012-09-12 07:26:24 EDT
Despite my best efforts, I have not been able to reproduce this on recent versions of IPA. Are you still seeing this issue?
Comment 10 Scott Poore 2012-09-12 09:28:01 EDT
Yes, I am still seeing this on the version provided with RHEL 6.3.  What version have you tested with?

[root@vm5 tmp.aDeEv6sNe9]# ipa-server-install --uninstall -U
Shutting down all IPA services
Removing IPA client configuration
Unconfiguring ntpd
Unconfiguring CA directory server
Unconfiguring CA
ps -ef|grep sssd
Unconfiguring named
Unconfiguring web server
Unconfiguring krb5kdc
Unconfiguring kadmin
Unconfiguring directory server
Unconfiguring ipa_memcached
[root@vm5 tmp.aDeEv6sNe9]# ps -ef|grep sssd
root      6180  1482  0 09:25 pts/0    00:00:00 grep sssd
root      6326     1  0 Sep07 ?        00:00:17 /usr/sbin/sssd -f -D
root      6372  6326  0 Sep07 ?        00:01:56 /usr/libexec/sssd/sssd_be --domain testrelm.com --debug-to-files
root      6374  6326  0 Sep07 ?        00:00:03 /usr/libexec/sssd/sssd_nss --debug-to-files
root      6375  6326  0 Sep07 ?        00:00:02 /usr/libexec/sssd/sssd_pam --debug-to-files
root      6376  6326  0 Sep07 ?        00:00:02 /usr/libexec/sssd/sssd_ssh --debug-to-files
[root@vm5 tmp.aDeEv6sNe9]# ls -ld /var/lib/sss/pubconf/kdcinfo.*
-rw-r--r--. 1 root root 15 Sep 12 09:22 /var/lib/sss/pubconf/kdcinfo.TESTRELM.COM
[root@vm5 tmp.aDeEv6sNe9]# rpm -q ipa-server ipa-client sssd
ipa-server-2.2.0-16.el6.x86_64
ipa-client-2.2.0-16.el6.x86_64
sssd-1.8.0-32.el6.x86_64
Comment 11 Jenny Galipeau 2012-09-25 12:07:23 EDT
regression test added to ipa-replica-install test suite
Comment 12 Martin Kosek 2012-09-26 07:57:35 EDT
Since this can no longer be reproduced with current upstream version (which is rebased in 6.4) and is only reproducible on RHEL 6.3, can we simply move this bug to ON_QA so that QE can verify it in 6.4? As I see, regression test is done.
Comment 13 Scott Poore 2012-09-27 09:43:29 EDT
I'll do one better and mark this one verified.  I'm definitely no longer able to reproduce it.

Verified:

Version ::

sssd-1.9.1-0.20120926T2039Zgit1ea72a4.el6.x86_64
ipa-server-3.0.0-2.el6.x86_64

Manual Test Results ::

[root@vm2 ~]# ipa-server-install --uninstall -U
Shutting down all IPA services
Removing IPA client configuration
Unconfiguring ntpd
Unconfiguring named
Unconfiguring web server
Unconfiguring krb5kdc
Unconfiguring kadmin
Unconfiguring directory server
Unconfiguring ipa_memcached
[root@vm2 ~]# ps -ef|grep sssd
root      3672  1308  0 08:39 pts/0    00:00:00 grep sssd
[root@vm2 ~]# ls -l /var/lib/sss/pubconf/kdcinfo.*
ls: cannot access /var/lib/sss/pubconf/kdcinfo.*: No such file or directory


I ran this test 20+ times with the same results every time.  It appears that the issue has been resolved.
Comment 16 errata-xmlrpc 2013-02-21 04:15:09 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0528.html

Note You need to log in before you can comment on or make changes to this bug.